.\" $NetBSD: pam_nologin.8,v 1.4 2005/02/26 15:07:38 thorpej Exp $
.\" Copyright (c) 2001 Mark R V Murray
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/lib/libpam/modules/pam_nologin/pam_nologin.8,v 1.5 2001/08/26 18:05:35 markm Exp $
.\"
.Dd July 8, 2001
.Dt PAM_NOLOGIN 8
.Os
.Sh NAME
.Nm pam_nologin
.Nd NoLogin PAM module
.Sh SYNOPSIS
.Op Ar service-name
.Ar module-type
.Ar control-flag
.Pa pam_nologin
.Op Ar options
.Sh DESCRIPTION
The NoLogin authentication service module for PAM
provides functionality for only one PAM category:
authentication.
In terms of the
.Ar module-type
parameter, this is the
.Dq Li auth
feature.
It also provides a null function for session management.
.Ss NoLogin Authentication Module
The NoLogin authentication component
.Pq Fn pam_sm_authenticate ,
always returns success for the superuser,
and returns success for all other users
if the file
.Pa /etc/nologin
does not exist.
If
.Pa /etc/nologin
does exist,
then its contents are echoed
to non-superusers
before failure is returned.
If a "nologin" capability
is specified in
.Xr login.conf 5 ,
then the file thus specified
is used instead.
This usually defaults to
.Pa /etc/nologin .
.Pp
The following options may be passed to the authentication module:
.Bl -tag -width ".Cm no_warn"
.It Cm debug
.Xr syslog 3
debugging information at
.Dv LOG_DEBUG
level.
.It Cm no_warn
suppress warning messages to the user.
These messages include
reasons why the user's
authentication attempt was declined.
.El
.Sh SEE ALSO
.Xr syslog 3 ,
.Xr login.conf 5 ,
.Xr pam.conf 5 ,
.Xr nologin 8 ,
.Xr pam 8
